Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.document.io.newick
Class NewickStringWriter

    java.lang.Object
      info.bioinfweb.treegraph.document.io.newick.NewickStringChars
          info.bioinfweb.treegraph.document.io.newick.NewickStringWriter

    public class NewickStringWriter

extends NewickStringChars

Field Summary

Fields inherited from class info.bioinfweb.treegraph.document.io.newick.NewickStringChars
`COMMENT_END, COMMENT_START, ELEMENT_SEPERATOR, FREE_NAME_BLANK, LENGTH_SEPERATOR, NAME_DELIMITER, SUBTREE_END, SUBTREE_START, TERMINAL_SYMBOL`

Constructor Summary
`NewickStringWriter()`

Method Summary
`private static java.lang.String` | `formatName(Node node, NodeDataAdapter adapter)`
`private static boolean` | `isFreeName(java.lang.String name)`
`static java.lang.String` | `write(Tree tree, NodeDataAdapter internalAdapter, NodeDataAdapter leafAdapter)`
`private static java.lang.String` | `writeSubtree(Node root, NodeDataAdapter internalAdapter, NodeDataAdapter leafAdapter)`

Methods inherited from class info.bioinfweb.treegraph.document.io.newick.NewickStringChars
`isCharAfterLength, isFreeNameChar, isFreeNameFirstChar`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NewickStringWriter

    public NewickStringWriter()

Method Detail

### isFreeName

    private static boolean isFreeName(java.lang.String name)

### formatName

    private static java.lang.String formatName(Node node,
                                               NodeDataAdapter adapter)

### writeSubtree

    private static java.lang.String writeSubtree(Node root,
                                                 NodeDataAdapter internalAdapter,
                                                 NodeDataAdapter leafAdapter)

### write

    public static java.lang.String write(Tree tree,
                                         NodeDataAdapter internalAdapter,
                                         NodeDataAdapter leafAdapter)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD